.dogs-pair-header__back__wrapper {
  display: inline-block;
  margin-bottom: 15px;
}

.dogs-back-btn {
  color: white;
  display: flex;
  font-size: 16px;
  gap: 5px;
  align-items: center;
}

.dogs-back-btn svg {
  width: 8px;
  height: 14px;
}

.dogs-page .dogs-catalog {
  padding: 115px 0 70px 0;
}

.dogs-page .dogs-grid {
  transition: opacity 0.3s ease;
}

.dogs-title {
  margin: 0 0 68px 0;
    background-image: radial-gradient(159.48% 598.74% at 19.84% 55.71%, #FFFFFF 0%, rgba(255, 255, 255, 0) 100%);
    color: transparent;
    background-clip: text;
    -webkit-background-clip: text;
    font-family: 'Buyan';
    font-size: 70px;
    font-weight: 700;
    line-height: 1;
    text-align: center;
    text-transform: uppercase;
    margin-bottom: 60px;
    letter-spacing: 0.05em;
}

@media screen and (max-width: 900px) {
  .dogs-page .dogs-catalog {
    padding: 60px 0 48px 0;
  }

  .dogs-title {
    font-size: 60px;
    margin: 0 0 39px 0;
  }
}

@media screen and (max-width: 600px) {
  .dogs-page .dogs-catalog {
    padding: 48px 0 37px 0;
  }

  .dogs-title {
    font-size: 50px;
    margin: 0 0 35px 0;
  }
}

.dogs-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 55px 34px;
    margin-top: 53px;
}

.dogs-grid--no-margin {
    margin-top: 0;
}

.dog-card {
    background: transparent;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
    touch-action: manipulation;
}

.dog-card__slider {
    width: 100%;
    position: relative;
    overflow: hidden;
    border-radius: 32px;
    padding-bottom: 100%;
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    cursor: grab;
}

.dog-card__slider:active {
    cursor: grabbing;
}

.dog-card__slider-track {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    transition: transform 0.3s ease;
    touch-action: pan-y pinch-zoom;
}

.dog-card__slider-item {
    min-width: 100%;
    height: 100%;
    position: relative;
}

.dog-card__slider-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    user-select: none;
    -webkit-user-drag: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    pointer-events: none;
}

.dog-card__info {
    display: flex;
    flex-direction: column;
    flex: 1;
    margin-top: 23px;
}

.dog-card__name {
    margin-bottom: 5px;
    font-family: Buyan;
    font-weight: 700;
    font-size: 41px;
    line-height: 128%;
    text-transform: uppercase;
    min-height: calc(41px * 1.28 * 2);
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    color: #FFFFFF;
}

.dog-card__breed {
    font-family: Buyan;
    font-weight: 700;
    font-size: 34px;
    line-height: 128%;
    text-transform: uppercase;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    color: #FFFFFF;
    margin-bottom: 25px;
}

.dog-card__label {
    font-weight: 600;
    color: #fff;
}

.dog-card__value {
    color: #fff;
}

.dog-card__description {
    font-family: Montserrat;
    font-weight: 300;
    font-size: 16px;
    line-height: 128%;
    color: #FFFFFF;
    display: -webkit-box;
    -webkit-line-clamp: 5;
    line-clamp: 5;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    min-height: calc(16px * 1.28 * 5);
}

.dog-card__slider-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: linear-gradient(
        279.88deg,
        #FFC47F 6.73%,
        #FFD7A9 28.75%,
        #FFD8AB 48.43%,
        #FFD29D 75.28%,
        #F4BD7D 93.46%
    );
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
    z-index: 1;
}

.dog-card__slider-btn:hover {
    background: rgba(255, 255, 255, 1);
    transform: translateY(-50%) scale(1.1);
}

.dog-card__slider-btn svg {
    display: block;
    width: 15px;
    height: 15px;
}

.dog-card__slider-btn--prev {
    left: 10px;
    padding-left: 2px;
}

.dog-card__slider-btn--next {
    right: 10px;
    padding-right: 2px;
}

.dog-card__video-btn-wrapper {
    bottom: 0;
    left: 0;
    right: 0;
    display: flex;
    justify-content: end;
    position: absolute;
    padding: 0 25px 26px 0;
}

.dog-card .gallery__video-btn {
    position: relative;
    margin: 0;
}

.dog-card .gallery__video-btn span {
    display: flex;
    line-height: 1;
}

.dog-card__slider-dots {
    display: none;
    position: absolute;
    bottom: 12px;
    left: 0;
    right: 0;
    justify-content: center;
    gap: 8px;
}

.dog-card__slider-dot {
    width: 7px;
    height: 7px;
    border-radius: 50%;
    background: #828282;
    border: none;
    cursor: pointer;
    transition: all 0.3s ease;
    padding: 0;
}

.dog-card__slider-dot.active {
    background: #FFFFFF;
    width: 7px;
    height: 7px;
}

.dog-card__btn--primary,
.dog-card__btn--secondary {
    -webkit-tap-highlight-color: rgba(0,0,0,0);
    touch-action: manipulation;
}

.dog-card__btn--primary {
    background: linear-gradient(263.56deg, #FFE9C8 -4.53%, #FFD9AD 18.44%, #FFDDB5 51.46%, #FFDDB5 76.6%, #FFCC8F 111.92%);
    box-shadow: 0px 3.8px 0px 0px #D8A86E;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    transition: all 0.3s ease;
}

.dog-card__btn--primary:hover {
    box-shadow: 0px 2px 0px 0px #D8A86E;
}

.dog-card__btn--secondary {
    background: linear-gradient(263.63deg, #929292 -10.3%, #D0D0D0 23.41%, #E5E5E5 48.46%, #CECECE 74.85%, #8A8A8A 109.09%), radial-gradient(55.13% 55.13% at 50% 2.23%, rgba(255, 255, 255, 0.5) 0%, rgba(255, 255, 255, 0) 100%);
    box-shadow: 0px 3.8px 0px 0px #696969;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    transition: all 0.3s ease;
}

.dog-card__btn--secondary:hover {
    box-shadow: 0px 2px 0px 0px #696969;
}

@media screen and (max-width: 900px) {
    .dogs-grid {
        gap: 45px 20px;
        margin-top: 31px;
    }

    .dog-card__slider {
        padding-bottom: 83.2%;
        border-radius: 25px;
    }

    .dog-card__slider-btn {
        display: none;
    }

    .dog-card__slider-dots {
        display: flex;
    }

    .dog-card__video-btn-wrapper {
        padding: 0 17.77px 14.95px 0;
    }

    .dog-card .gallery__video-btn {
        position: relative;
        margin: 0;
    }

    .dog-card__info {
        margin-top: 13px;
    }

    .dog-card__name {
        font-size: 30px;
        min-height: calc(30px * 1.28 * 2);
        margin-bottom: 3.86px;
    }

    .dog-card__breed {
        font-size: 22px;
        margin-bottom: 5.53px;
    }

    .dog-card__description {
        font-size: 12px;
        min-height: calc(12px * 1.28 * 5);
    }
}

@media screen and (max-width: 600px) {
    .dogs-grid {
        grid-template-columns: 1fr;
        gap: 37px;
        margin-top: 34px;
    }

    .dog-card__slider {
        padding-bottom: 98.1%;
        border-radius: 24px;
    }

    .dog-card__info {
        margin-top: 16px;
    }

    .dog-card__name {
        font-size: 25px;
        min-height: calc(25px * 1.28 * 2);
        margin-bottom: 4px;
    }

    .dog-card__breed {
        font-size: 20px;
        margin-bottom: 7.47px;
    }

    .dog-card__description {
        font-size: 12px;
        min-height: calc(12px * 1.28 * 5);
    }
}

.dog-card__price {
    display: flex;
    flex-wrap: wrap;
    gap: 45px;
    margin: 12px 0 13px 0;
}

.dog-card__price-current {
  font-family: Buyan;
  font-weight: 700;
  font-size: 51px;
  line-height: 128%;
  text-transform: uppercase;
  color: #FFFFFF;
}

.dog-card__price-old {
  font-family: Buyan;
  font-weight: 700;
  font-size: 51px;
  line-height: 128%;
  text-decoration: line-through;
  color: #7E7E7E;
}

.dogs-page .dog-card__buttons {
    display: flex;
    width: 100%;
    justify-content: space-between;
    gap: 16px;
}

.dogs-page .dog-card__btn--primary, .dogs-page .dog-card__btn--secondary {
    height: 62px;
    width: 50%;
    color: #584D3E;
    font-family: Montserrat;
    font-weight: 800;
    font-size: 14px;
    line-height: 128%;
    text-transform: uppercase;
    border-radius: 17px;
}

@media screen and (max-width: 900px) {
  .dog-card__price {
    gap: 0;
    justify-content: space-between;
    margin: 5px 0 7px 0;
  }

  .dog-card__price-current, .dog-card__price-old {
    font-size: 41px;
  }

  .dogs-page .dog-card__buttons {
    flex-direction: column;
    gap: 15px;
  }

  .dogs-page .dog-card__btn--primary, .dogs-page .dog-card__btn--secondary {
    font-size: 10px;
    border-radius: 12px;
    width: 100%;
    height: 43px;
  }
}

@media screen and (max-width: 600px) {
  .dog-card__price {
    gap: 15px;
    margin: 8px 0 8px 0;
  }

  .dog-card__price-current, .dog-card__price-old {
    font-size: 40px;
  }

  .dogs-page .dog-card__buttons {
    gap: 9px;
  }

  .dogs-page .dog-card__btn--primary, .dogs-page .dog-card__btn--secondary {
    font-size: 12px;
    border-radius: 14px;
    height: 47px;
  }
}

.gallery__video-btn {
  background: 
    linear-gradient(263.56deg, #FFE9C8 -4.53%, #FFD9AD 18.44%, #FFDDB5 51.46%, #FFDDB5 76.6%, #FFCC8F 111.92%),
    radial-gradient(55.13% 55.13% at 50% 2.23%, rgba(255, 255, 255, 0.5) 0%, rgba(255, 255, 255, 0) 100%);
  background-repeat: no-repeat;
  background-size: cover;
  color: #584D3E;
  border: none;
  padding: 16px 13px 17.5px 17px;
  border-radius: 66px;
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 1.5px;
  font-family: Montserrat, sans-serif;
  font-weight: 800;
  font-size: 12px;
  line-height: 128%;
  letter-spacing: 0.05em;
  text-transform: uppercase;
  transition: background 0.3s ease;
}

.gallery__video-btn span {
  display: flex;
  align-items: center;
  line-height: 1;
}

.gallery__video-btn svg {
  width: 16px;
  height: 16px;
}

@media screen and (max-width: 900px) {
  .gallery__video-btn {
    padding: 11px 10px 12px 12px;
  }

  .gallery__video-btn span {
    font-size: 8px;
  }

  .gallery__video-btn svg {
    width: 10px;
    height: 10px;
  }
}

@media screen and (max-width: 700px) {
  .gallery__video-btn {
    margin-right: 12px;
    padding: 10px 9px 11px 10px;
  }

  .gallery__video-btn span {
    font-size: 7px;
  }

  .gallery__video-btn svg {
    width: 10px;
    height: 10px;
  }
}

.custom-select-container {
    position: relative;
    flex: 1;
}

.custom-select {
    position: relative;
    width: 100%;
}

.custom-select-button {
    width: 100%;
    background-color: #868686;
    color: #D2D2D2;
    border-radius: 9px;
    padding: 11px 23px;
    font-family: Montserrat;
    font-weight: 500;
    font-size: 14px;
    line-height: 120%;
    border: none;
    cursor: pointer;
    text-align: left;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.custom-select-button::after {
    content: '';
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #D2D2D2;
    transition: transform 0.2s ease;
    margin-left: 10px;
    flex-shrink: 0;
}

.custom-select.open .custom-select-button::after {
    transform: translateY(-50%) rotate(180deg);
}

.custom-select-dropdown {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background-color: #868686;
    border-radius: 0 0 9px 9px;
    margin-top: 2px;
    display: none;
    z-index: 100;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    max-height: 200px;
    overflow-y: auto;
}

.custom-select.open .custom-select-dropdown {
    display: block;
}

.custom-select-option {
    padding: 11px 23px;
    cursor: pointer;
    color: #D2D2D2;
    transition: background-color 0.2s ease;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-family: Montserrat;
    font-weight: 500;
    font-size: 14px;
    line-height: 120%;
}

.custom-select-option:hover {
    background-color: #777777;
}

[data-placeholder] {
    color: white;
}

.custom-select.disabled {
    opacity: 0.5;
    pointer-events: none;
}

.reviews-page {
    padding-top: 0;
    padding-bottom: 55px;
}

.products-with-reviews {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 16px;
    margin-top: 25px;
}

.reviews-page-title {
    margin: 0 auto 73px auto;
    width: 250px;
    font-family: Buyan;
    font-weight: 700;
    font-size: 92px;
    line-height: 105%;
    text-transform: uppercase;
    text-align: center;
    background: radial-gradient(
        164.72% 3204.14% at 46.81% 50%,
        #ffffff 0%,
        rgba(255, 255, 255, 0) 100%
    );
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}

.reviews-page-filters {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 27px;
}

.reviews-search-label,
.custom-select-label {
    font-family: Montserrat;
    font-weight: 700;
    font-size: 16px;
    line-height: 120%;
    color: #FFFFFF;
    margin-bottom: 9px;
}

.reviews-search-wrapper {
    position: relative;
}

.reviews-search input {
    width: 100%;
    background-color: #868686;
    color: #D2D2D2;
    border-radius: 9px;
    padding: 11px 23px !important;
    font-family: Montserrat;
    font-weight: 500;
    font-size: 14px;
    line-height: 120%;
}

.reviews-search-wrapper .search-clear {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    border: none;
    color: #B0B0B0;
    font-size: 18px;
    cursor: pointer;
    padding: 4px 8px;
    line-height: 1;
    display: none;
}

.reviews-search-wrapper .search-clear.active {
    display: block;
}

.reviews-search-wrapper .search-clear:hover {
    color: #FFFFFF;
}

.reviews-search input::placeholder {
    color: #B0B0B0;
    opacity: 1;
}

.reviews-filters {
    display: flex;
    width: 100%;
    gap: 23px;
}

.reviews-page-actions {
    display: flex;
    justify-content: center;
    align-items: end;
    padding-bottom: 5px;
    display: none;
}

.reviews-page-actions button {
    height: 49px;
    cursor: pointer;
    position: relative;
    font-family: Montserrat;
    font-weight: 800;
    font-size: 14px;
    line-height: 128%;
    text-transform: uppercase;
    box-shadow: 0px 6px 0px 0px #D8A86E;
    border-radius: 15px;
}

.reviews-page-actions button:before {
    content: '';
    background: radial-gradient(55.13% 55.13% at 50% 2.23%, rgba(255, 255, 255, 0.5) 0%, rgba(255, 255, 255, 0) 100%);
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    border-radius: 15px;
}

.reviews-page-content-title {
    margin-top: 74px;
    font-family: Buyan;
    font-weight: 700;
    font-size: 70px;
    line-height: 105%;
    text-transform: uppercase;
    background: radial-gradient(
        164.72% 3204.14% at 46.81% 50%,
        #FFFFFF 0%,
        rgba(255, 255, 255, 0) 100%
    );
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}

.reviews-page-content .score__inner {
    width: 100%;
    margin-top: 59px;
    margin-bottom: 74px;
}

.reviews-page-content .pagination-wrapper {
    margin-top: 30px;
}

.reviews-page-all-btn {
    display: flex;
    justify-content: center;
    margin-top: 30px;
}

.reviews-page-all-btn a {
    background: linear-gradient(263.56deg, #FFE9C8 -4.53%, #FFD9AD 18.44%, #FFDDB5 51.46%, #FFDDB5 76.6%, #FFCC8F 111.92%), radial-gradient(55.13% 55.13% at 50% 2.23%, rgba(255, 255, 255, 0.5) 0%, rgba(255, 255, 255, 0) 100%);
    box-shadow: 0px 8px 0px 0px #D8A86E;
    width: 100%;
    max-width: 377px;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 24px;
    position: relative;
    font-family: Montserrat;
    font-weight: 800;
    font-size: 20px;
    line-height: 128%;
    text-transform: uppercase;
    text-decoration: none;
    color: #584D3E;
}

.reviews-page-all-btn a:before {
    content: '';
    background: radial-gradient(55.13% 55.13% at 50% 2.23%, rgba(255, 255, 255, 0.5) 0%, rgba(255, 255, 255, 0) 100%);
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    border-radius: 24px;
}

.reviews-page-all-btn a:hover {
    color: #584D3E;
}

@media screen and (max-width: 1024px) {
    .reviews-page {
        padding-top: 0;
    }
}

@media screen and (max-width: 992px) {
    .reviews-page-content .score__inner {
        margin-top: 50px;
        margin-bottom: 50px;
    }

    .reviews-page {
        padding-top: 0;
        padding-bottom: 39px;
    }

    .products-with-reviews {
        grid-template-columns: repeat(3, 1fr);
        margin-top: 35px;
        gap: 13px;
    }

    .products-with-reviews__top {
        display: flex;
        overflow-x: auto;
        gap: 16px;
        scrollbar-width: none;
        -ms-overflow-style: none;
    }

    .products-with-reviews__top::-webkit-scrollbar {
        display: none;
    }
}

@media screen and (max-width: 900px) {
    .reviews-page-title {
        margin: 0 auto 51px auto;
        font-size: 60px;
    }

    .reviews-search-label,
    .custom-select-label {
        font-size: 14px;
        margin-bottom: 10px;
    }

    .reviews-search input {
        padding: 10px 16px !important;
    }

    .reviews-page-filters {
        gap: 22px;
    }

    .reviews-page-actions button {
        height: 34px;
    }

    .reviews-page-actions button {
        font-size: 10px;
        border-radius: 10px;
    }

    .reviews-filters {
        gap: 9px;
    }

    .reviews-page-content-title {
        margin-top: 50px;
        font-size: 60px;
    }

    .reviews-page-all-btn a {
        height: 67px;
        font-size: 16px;
        border-radius: 12px;
        max-width: 326px;
        box-shadow: 0px 5px 0px 0px #D8A86E;
    }
}

@media screen and (max-width: 670px) {
    .reviews-page-actions button {
        height: 46px;
        border-radius: 12px;
    }

    .reviews-page-filters {
        gap: 20px;
    }

    .reviews-filters {
        flex-direction: column;
        gap: 20px;
    }

    .reviews-page-actions {
        padding-top: 3px;
    }

    .reviews-page-actions button {
        width: 100%;
        height: 40px;
        padding: 5px 0 0 0;
    }

    .reviews-page-title {
        margin: 0 auto 35px auto;
        font-size: 50px;
    }

    .reviews-page-content .score__inner {
        margin-top: 42px;
        margin-bottom: 42px;
    }

    .reviews-page-content-title {
        margin-top: 42px;
        font-size: 50px;
    }

    .reviews-page-all-btn a {
        height: 46px;
        font-size: 11px;
        border-radius: 16px;
        max-width: 281px;
        box-shadow: 0px 2.5px 0px 0px #D8A86E;
    }
}

@media screen and (max-width: 600px) {
    .products-with-reviews {
        grid-template-columns: repeat(2, 1fr);
        gap: 10px;
    }
}

@media screen and (max-width: 515px) {
    .reviews-page {
        padding-top: 0;
        padding-bottom: 35px;
    }
}
